Issues fixed in multiple versions
Description
The attached patch allows for issues to be fixed for multiple versions. Some notes concerning this patch:

e There is a couple of new language string that need translating

¢ The change log implementation was modified to work in the same way as the roadmap (but with different functionality
of course). This was simply to avoid doing extra joins from issues to versions across the additional join table. The
controller and view of change log and roadmap have a lot of common code now that could be refactored.

e The migration will only revert if each issue is marked as fixed in only one version, else it will raise
an exception.

e The version selector is a HTML select list with multiple selections turned on. There are usability studies indicating
that these are difficult to use, and having a list of checkboxes maybe a better option. There are plugins for doing
this sort of thing, but | didn't really want to include a plugin as part of the patch :)

Related issues:

Related to Redmine - Feature #1266: Feature: Allow setting multiple target-mi... New 2008-05-20
Related to Redmine - Patch #5510: Enable Mutliple Versions Per Issue Resolved 2010-05-12
Has duplicate Redmine - Feature #284: Issues fixed in multiple versions Closed

History

#1 - 2007-05-02 09:12 - Nick Read

This patch implements feature request #9196

http://rubyforge.org/tracker/index.php?func=detail&aid=9196%a
mp;group_id=1850&atid=7163

#2 - 2007-07-10 01:34 - Nick Read
Hi Jean-Philippe,

| am wondering if you are averse to the functionality
provided by this patch?

The current inability to record this information is pretty

much a show-stopper for my company. If we were to take up
redMine (which is looking quite likely at this time) then |
would have to maintain and apply this patch every time we
upgrade.

Is there anything else | can do to help this functionality
through? Does it conflict with other areas of redMine
(gantt chart, reports, ...)?

That said, | suspect that trunk has changed a lot since this
patch was first submitted, and | would have to update it to
ensure that it merges without conflicts.

It would be great to get your response, whether it is
affirmative or negative.

Thanks,

#3 - 2007-07-10 16:37 - Jean-Philippe Lang
https://www.redmine.org/issues/9196
http://rubyforge.org/tracker/index.php?func=detail&aid=9196%a

Hi Nick,

I'll have a deeper look at your patch this week-end, so | can
give you an answer. Maybe I'll add a setting to allow issues
to be fixed in multiple version.

BTW, do you find the Changelog view usefull ? In the current
code, past versions can also be viewed on the roadmap, so I'm
thinking about removing this view... Any feedback appreciated :-)

Regards

#4 - 2007-07-10 18:56 - Nick Read

Thanks Jean-Philippe; that would be great. | suspect the
patch will not merge anymore, so tell me if you want it
rewritten for the current trunk. A setting to

allow/disallow this feature is good.

As far as the Change Log goes, | completely agree. ltis
not very often that | require a view of what has been
released, only what needs to be done. That makes sense
given that I'm a developer, but our marketing people would
be more likely to need a list of what has been completed!

A good compromise would be to remove the Change Log
functionality, but provide a persistent URL for viewing the
details of a single release in the Roadmap view, even if the
release has been completed. This would allow users to
create wiki pages, news items or forum posts regarding a new
release of the product, and provide a link to the
roadmap/changelog of just that release. eg,

http://demo.redmine.org/projects/roadmap/3/specific-release-id

#5 - 2011-07-22 16:10 - Tharuka Pathirana

Any progress on this?

#6 - 2011-07-23 11:21 - Terence Mill

In general multiselect switch feature should be possible for all fields, also custom fields of type list or enumeration.

#7 - 2013-04-16 12:03 - Toshi MARUYAMA
- Description updated

- Category set to Roadmap

#8 - 2013-04-16 12:06 - Toshi MARUYAMA

- Subject changed from Patch for feature request #9196 - Issues fixed in multiple versions to Issues fixed in multiple versions

#9 - 2014-07-07 14:35 - Alice Etchegaray

Hi, | tried to adapt this patch for redmine 2.x but it doesn't correspond...
Is there a new version for this patch ?

#10 - 2014-08-15 02:24 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

#11 - 2014-08-15 02:25 - Toshi MARUYAMA

- Description updated

#12 - 2014-08-15 02:42 - Toshi MARUYAMA

- Tracker changed from Feature to Patch

#13 - 2014-08-15 02:43 - Toshi MARUYAMA
- Related to Patch #5510: Enable Mutliple Versions Per Issue added

Files

multiple_fixed_versions.patch 11.9 KB

2025-05-17

2008-02-03

22

Nick Read


http://demo.redmine.org/projects/roadmap/3/specific-release-id
http://www.tcpdf.org

